import { ComputeBooleanNode } from '@compute.ts/boolean';
import { ComputeDateNode } from '@compute.ts/date';
import { ComputeDictionaryNode } from '@compute.ts/dictionary';
import { ComputeNumberNode } from '@compute.ts/number';
import { ComputeStringNode } from '@compute.ts/string';
import { FunctionUnary } from '../../../nodes/FunctionUnary';
import { Take1ArgReturn } from '../../returns/Take1ArgReturn';
import { TakeNumberAndBoolean } from '../take-2-args/TakeNumberAndBoolean';
import { TakeNumberAndDate } from '../take-2-args/TakeNumberAndDate';
import { TakeNumberAndDictionary } from '../take-2-args/TakeNumberAndDictionary';
import { TakeNumberAndNumber } from '../take-2-args/TakeNumberAndNumber';
import { TakeNumberAndString } from '../take-2-args/TakeNumberAndString';
export declare class TakeNumber {
    get takeBoolean(): TakeNumberAndBoolean;
    get takeNumber(): TakeNumberAndNumber;
    get takeString(): TakeNumberAndString;
    get takeDate(): TakeNumberAndDate;
    get takeDictionary(): TakeNumberAndDictionary;
    get returnBoolean(): Take1ArgReturn<ComputeNumberNode, number, FunctionUnary<ComputeNumberNode, number, ComputeBooleanNode, boolean>, ComputeBooleanNode, boolean>;
    get returnNumber(): Take1ArgReturn<ComputeNumberNode, number, FunctionUnary<ComputeNumberNode, number, ComputeNumberNode, number>, ComputeNumberNode, number>;
    get returnString(): Take1ArgReturn<ComputeNumberNode, number, FunctionUnary<ComputeNumberNode, number, ComputeStringNode, string>, ComputeStringNode, string>;
    get returnDate(): Take1ArgReturn<ComputeNumberNode, number, FunctionUnary<ComputeNumberNode, number, ComputeDateNode, Date>, ComputeDateNode, Date>;
    get returnDictionary(): Take1ArgReturn<ComputeNumberNode, number, FunctionUnary<ComputeNumberNode, number, ComputeDictionaryNode, {}>, ComputeDictionaryNode, {}>;
}
