import { ComputeBooleanArrayNode, ComputeDateArrayNode, ComputeDictionaryArrayNode, ComputeNumberArrayNode, ComputeStringArrayNode } from '@compute.ts/array';
import { ComputeBooleanNode } from '@compute.ts/boolean';
import { ComputeApiNode } from '@compute.ts/core';
import { ComputeDateNode } from '@compute.ts/date';
import { ComputeDictionaryNode } from '@compute.ts/dictionary';
import { ComputeNumberNode } from '@compute.ts/number';
import { ComputeStringNode } from '@compute.ts/string';
import { FunctionBinary } from '../nodes/FunctionBinary';
import { Take2ArgReturn } from '../returns/Take2ArgReturn';
import { Take3Arg } from './Take3Arg';
export declare class Take2Arg<ARG_A_NODE_TYPE extends ComputeApiNode<ARG_A>, ARG_A, ARG_B_NODE_TYPE extends ComputeApiNode<ARG_B>, ARG_B> {
    private nodifierA;
    private nodifierB;
    constructor(nodifierA: (args: (ARG_A_NODE_TYPE | ARG_A)[]) => ARG_A_NODE_TYPE[], nodifierB: (args: (ARG_B_NODE_TYPE | ARG_B)[]) => ARG_B_NODE_TYPE[]);
    get takeBoolean(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeBooleanNode, boolean>;
    get takeNumber(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeNumberNode, number>;
    get takeString(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeStringNode, string>;
    get takeDate(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDateNode, Date>;
    get takeDictionary(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDictionaryNode, {}>;
    get takeBooleanArray(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeBooleanArrayNode, boolean[]>;
    get takeNumberArray(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeNumberArrayNode, number[]>;
    get takeStringArray(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeStringArrayNode, string[]>;
    get takeDateArray(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDateArrayNode, Date[]>;
    get takeDictionaryArray(): Take3Arg<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDictionaryArrayNode, {}[]>;
    get returnBoolean(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeBooleanNode, boolean>, ComputeBooleanNode, boolean>;
    get returnNumber(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeNumberNode, number>, ComputeNumberNode, number>;
    get returnString(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeStringNode, string>, ComputeStringNode, string>;
    get returnDate(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDateNode, Date>, ComputeDateNode, Date>;
    get returnDictionary(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDictionaryNode, {}>, ComputeDictionaryNode, {}>;
    get returnBooleanArray(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeBooleanArrayNode, boolean[]>, ComputeBooleanArrayNode, boolean[]>;
    get returnNumberArray(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeNumberArrayNode, number[]>, ComputeNumberArrayNode, number[]>;
    get returnStringArray(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeStringArrayNode, string[]>, ComputeStringArrayNode, string[]>;
    get returnDateArray(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDateArrayNode, Date[]>, ComputeDateArrayNode, Date[]>;
    get returnDictionaryArray(): Take2ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, FunctionBinary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ComputeDictionaryArrayNode, {}[]>, ComputeDictionaryArrayNode, {}[]>;
}
