import { ComputeBooleanArrayNode, ComputeDateArrayNode, ComputeDictionaryArrayNode, ComputeNumberArrayNode, ComputeStringArrayNode } from '@compute.ts/array';
import { ComputeBooleanNode } from '@compute.ts/boolean';
import { ComputeApiNode } from '@compute.ts/core';
import { ComputeDateNode } from '@compute.ts/date';
import { ComputeDictionaryNode } from '@compute.ts/dictionary';
import { ComputeNumberNode } from '@compute.ts/number';
import { ComputeStringNode } from '@compute.ts/string';
import { FunctionTernary } from '../nodes/FunctionTernary';
import { Take3ArgReturn } from '../returns/Take3ArgReturn';
export declare class Take3Arg<ARG_A_NODE_TYPE extends ComputeApiNode<ARG_A>, ARG_A, ARG_B_NODE_TYPE extends ComputeApiNode<ARG_B>, ARG_B, ARG_C_NODE_TYPE extends ComputeApiNode<ARG_C>, ARG_C> {
    private nodifierA;
    private nodifierB;
    private nodifierC;
    constructor(nodifierA: (args: (ARG_A_NODE_TYPE | ARG_A)[]) => ARG_A_NODE_TYPE[], nodifierB: (args: (ARG_B_NODE_TYPE | ARG_B)[]) => ARG_B_NODE_TYPE[], nodifierC: (args: (ARG_C_NODE_TYPE | ARG_C)[]) => ARG_C_NODE_TYPE[]);
    get returnBoolean(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeBooleanNode, boolean>, ComputeBooleanNode, boolean>;
    get returnNumber(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeNumberNode, number>, ComputeNumberNode, number>;
    get returnString(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeStringNode, string>, ComputeStringNode, string>;
    get returnDate(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeDateNode, Date>, ComputeDateNode, Date>;
    get returnDictionary(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeDictionaryNode, {}>, ComputeDictionaryNode, {}>;
    get returnBooleanArray(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeBooleanArrayNode, boolean[]>, ComputeBooleanArrayNode, boolean[]>;
    get returnNumberArray(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeNumberArrayNode, number[]>, ComputeNumberArrayNode, number[]>;
    get returnStringArray(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeStringArrayNode, string[]>, ComputeStringArrayNode, string[]>;
    get returnDateArray(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeDateArrayNode, Date[]>, ComputeDateArrayNode, Date[]>;
    get returnDictionaryArray(): Take3ArgReturn<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, FunctionTernary<ARG_A_NODE_TYPE, ARG_A, ARG_B_NODE_TYPE, ARG_B, ARG_C_NODE_TYPE, ARG_C, ComputeDictionaryArrayNode, {}[]>, ComputeDictionaryArrayNode, {}[]>;
}
